## php-dio 0.3.0

=== debian/changelog ===
php-dio (0.3.0-2+0~20251124.5+debian13~1.gbp5b5946) unstable; urgency=medium

  ** SNAPSHOT build @5b5946e52dfbd20985ef0474469a606aa6d1ce00 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Mon, 24 Nov 2025 06:16:53 +0100

php-dio (0.3.0-2) unstable; urgency=medium

  * Update Build-Depends to php-all-dev (>= 2:95~)
  * Build-Depend on php-all-dev (>= 2:97~) for PHP 8.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 14:08:19 +0100

php-dio (0.3.0-1) unstable; urgency=medium

  * Initial packaging

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Jul 2024 13:44:46 +0200
