=== debian/control ===
Source: php-dio
Section: php
Priority: optional
Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-php (>= 4~),
               php-all-dev (>= 2:97~)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pecl/php-dio.git
Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-dio
Homepage: https://pecl.php.net/package/dio

Package: php-dio
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.
 .
 This is empty package that depends on default PHP version.

Package: php-dio-all-dev
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.
 .
 This is empty package that depends on all PHP versions.

Package: php8.5-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.

Package: php8.4-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.

Package: php8.3-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.

Package: php8.2-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.

Package: php8.1-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.

Package: php8.0-dio
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Suggests: ${pecl:Suggests}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Provides: ${pecl:Provides},
          ${php:Provides}
Recommends: ${misc:Recommends}
Description: Direct I/O functions for PHP
 PHP supports the direct io functions as described in the Posix Standard
 (Section 6) for performing I/O functions at a lower level than the C-Language
 stream I/O functions (fopen(), fread(),..).
 .
 DIO provides functions and stream wrappers which provide raw and serial low
 level IO support. The use of the DIO functions should be considered only when
 direct control of a device is needed.  In all other cases, the standard
 filesystem functions are more than adequate.
